These are chat archives for sbt/sbt

7th
Jul 2016
Joe Adams
@joe-adams
Jul 07 2016 03:19
I know this is probably an old one.
No java installations was detected.
Please go to http://www.java.com/getjava/ and download
Oh, missing colon. Sorry!
Rohit Raj
@RohitRaj2017
Jul 07 2016 04:36
Hi
Rohit Raj
@RohitRaj2017
Jul 07 2016 04:42
Hi Could anyone explain me the meaning of this build.sbt file Content:
initialize := {
  val _ = initialize.value
  val required = VersionNumber("1.8")
  val current = VersionNumber(sys.props("java.specification.version"))
  assert(VersionNumber.Strict.isCompatible(current, required), s"Java $required required.")
}

sparkVersion := "1.6.1"

// change the value below to change the directory where your zip artifact will be created
spDistDirectory := target.value

sparkComponents += "mllib"
The same content works fine in spark-core-nlp project that i downloaded from DataBricks Github but the same gives me error when i try in a new project.
Error:Error while importing SBT project:<br/><pre>[info] Loading project definition from D:\WorkSpace\Recommender_WorkSpace\Topic-Modelling\project
D:\WorkSpace\Recommender_WorkSpace\Topic-Modelling\build.sbt:16: error: not found: value sparkVersion
sparkVersion := "1.6.1"
^
[error] Type error in expression
Java HotSpot(TM) 64-Bit Server VM warning: ignoring option MaxPermSize=384M; support was removed in 8.0
Picked up _JAVA_OPTIONS: -Xms1024m -Xmx2048m
</pre>
ritschwumm
@ritschwumm
Jul 07 2016 08:54
@RohitRaj2017 then the question is which plugin brings in the sparkVersion element.
nafg
@nafg
Jul 07 2016 12:17
@RohitRaj2017 you have to copy the sbt file in project dir that has the plugin
Sandon Jacobs
@sandonjacobs
Jul 07 2016 19:09
having an issue with Jenkins and sbt-release:
[info] Starting release process off commit: 8049e7206fefea0664d26ceffe3a24d344eb1a48 [info] Checking remote [origin] ... [error] GitLab: The project you were looking for could not be found. [error] fatal: Could not read from remote repository. [error] [error] Please make sure you have the correct access rights [error] and the repository exists. Error while checking remote. Still continue (y/n)? [n] java.lang.RuntimeException: Aborting the release! at scala.sys.package$.error(package.scala:27) at sbtrelease.ReleaseStateTransformations$$anonfun$checkUpstream$1.apply(ReleaseExtra.scala:224) at sbtrelease.ReleaseStateTransformations$$anonfun$checkUpstream$1.apply(ReleaseExtra.scala:214) at sbtrelease.ReleasePlugin$autoImport$ReleaseKeys$$anonfun$4$$anonfun$apply$4.apply(ReleasePlugin.scala:167) at sbtrelease.ReleasePlugin$autoImport$ReleaseKeys$$anonfun$4$$anonfun$apply$4.apply(ReleasePlugin.scala:167) at scala.collection.immutable.List.foreach(List.scala:318) at sbtrelease.ReleasePlugin$autoImport$ReleaseKeys$$anonfun$4.apply(ReleasePlugin.scala:167) at sbtrelease.ReleasePlugin$autoImport$ReleaseKeys$$anonfun$4.apply(ReleasePlugin.scala:132) at sbt.Command$$anonfun$applyEffect$1$$anonfun$apply$2.apply(Command.scala:58) at sbt.Command$$anonfun$applyEffect$1$$anonfun$apply$2.apply(Command.scala:58) at sbt.Command$$anonfun$applyEffect$2$$anonfun$apply$3.apply(Command.scala:60) at sbt.Command$$anonfun$applyEffect$2$$anonfun$apply$3.apply(Command.scala:60) at sbt.Command$.process(Command.scala:92) at sbt.MainLoop$$anonfun$1$$anonfun$apply$1.apply(MainLoop.scala:98) at sbt.MainLoop$$anonfun$1$$anonfun$apply$1.apply(MainLoop.scala:98) at sbt.State$$anon$1.process(State.scala:184)
`[info] Starting release process off commit: 8049e7206fefea0664d26ceffe3a24d344eb1a48
[info] Checking remote [origin] ...
[error] GitLab: The project you were looking for could not be found.
[error] fatal: Could not read from remote repository.
[error]
[error] Please make sure you have the correct access rights
[error] and the repository exists.
Error while checking remote. Still continue (y/n)? [n] java.lang.RuntimeException: Aborting the release!
at scala.sys.package$.error(package.scala:27)
at sbtrelease.ReleaseStateTransformations
KaTeX parse error: Unexpected character: '$' at position 7: anonfun̲$checkUpstream: anonfun$checkUpstream$1.apply(ReleaseExtra.scala:224)
    at sbtrelease.ReleaseStateTransformations
anonfun$checkUpstream$1.apply(ReleaseExtra.scala:214)
at sbtrelease.ReleasePlugin$autoImport$ReleaseKeys
KaTeX parse error: Unexpected character: '$' at position 7: anonfun̲$4: anonfun$4
anonfun$apply$4.apply(ReleasePlugin.scala:167)
at sbtrelease.ReleasePlugin$autoImport$ReleaseKeys
KaTeX parse error: Unexpected character: '$' at position 7: anonfun̲$4: anonfun$4
anonfun$apply$4.apply(ReleasePlugin.scala:167)
at scala.collection.immutable.List.foreach(List.scala:318)
at sbtrelease.ReleasePlugin$autoImport$ReleaseKeys
KaTeX parse error: Unexpected character: '$' at position 7: anonfun̲$4.apply(Relea: anonfun$4.apply(ReleasePlugin.scala:167)
    at sbtrelease.ReleasePlugin$autoImport$ReleaseKeys
anonfun$4.apply(ReleasePlugin.scala:132)
at sbt.Command
KaTeX parse error: Unexpected character: '$' at position 7: anonfun̲$applyEffect$1: anonfun$applyEffect$1
anonfun$apply$2.apply(Command.scala:58)
at sbt.Command
KaTeX parse error: Unexpected character: '$' at position 7: anonfun̲$applyEffect$1: anonfun$applyEffect$1
anonfun$apply$2.apply(Command.scala:58)
at sbt.Command
KaTeX parse error: Unexpected character: '$' at position 7: anonfun̲$applyEffect$2: anonfun$applyEffect$2
anonfun$apply$3.apply(Command.scala:60)
at sbt.Command
KaTeX parse error: Unexpected character: '$' at position 7: anonfun̲$applyEffect$2: anonfun$applyEffect$2
anonfun$apply$3.apply(Command.scala:60)
at sbt.Command$.process(Command.scala:92)
at sbt.MainLoop
KaTeX parse error: Unexpected character: '$' at position 7: anonfun̲$1: anonfun$1
anonfun$apply$1.apply(MainLoop.scala:98)
at sbt.MainLoop
KaTeX parse error: Unexpected character: '$' at position 7: anonfun̲$1: anonfun$1
anonfun$apply$1.apply(MainLoop.scala:98)
at sbt.State$$anon$1.process(State.scala:184)
sorry guys
eugene yokota
@eed3si9n
Jul 07 2016 19:13
could you copy-paste it into gist or format it with tripple backticks?
Sandon Jacobs
@sandonjacobs
Jul 07 2016 19:20
will do, again sorry about that… going btwn here and hipchat at work sucks
take 2: having an issue with jenkins and sat-release: https://gist.github.com/sandonjacobs/f1c936e68431186d45e6fe1e2e7f4740
anyone ever seen this?
running with-defaults
Dale Wijnand
@dwijnand
Jul 07 2016 19:34
Looks like a permissions issue
Sandon Jacobs
@sandonjacobs
Jul 07 2016 19:36
jenkins is cloning the repo in this same job, will check perms, but pretty sure he was already setup to push
Dale Wijnand
@dwijnand
Jul 07 2016 19:39
Check upstream sounds like fetch or pull though
Sandon Jacobs
@sandonjacobs
Jul 07 2016 19:40
yup, it’s like between the clone and the pushChanges in the plugin it doesn’t know the location of the remote for the branch
I have a bash step before the sbt call that does this:
git branch --set-upstream-to=origin/master master
git config branch.master.remote origin
and checkout to local branch
Dale Wijnand
@dwijnand
Jul 07 2016 19:41
Relevant sbt/sbt-release#60 ?
Sandon Jacobs
@sandonjacobs
Jul 07 2016 19:59
been thru a couple of similar revisions of that, but no luck
tried that as well, just a minute ago
I have that in an “Execute Shell” step before, which seems to not be run in the same shell as sbt (in my past experience)